net.sf.jasperreports.engine.query

## Interface JRQueryExecuterFactory

- All Known Subinterfaces:
    QueryExecuterFactory
  All Known Implementing Classes:
    AbstractQueryExecuterFactory, AbstractXlsQueryExecuterFactory, ExcelQueryExecuterFactory, JaxenXPathQueryExecuterFactory, JRAbstractQueryExecuterFactory, JRCsvQueryExecuterFactory, JRHibernateQueryExecuterFactory, JRJdbcQueryExecuterFactory, JRJpaQueryExecuterFactory, JRMdxQueryExecuterFactory, JRMondrianQueryExecuterFactory, JRQueryExecuterUtils.WrappingQueryExecuterFactory, JRXlsQueryExecuterFactory, JRXlsxQueryExecuterFactory, JRXmlaQueryExecuterFactory, JRXPathQueryExecuterFactory, JsonQueryExecuterFactory, Olap4jMondrianQueryExecuterFactory, Olap4jQueryExecuterFactory, Olap4jXmlaQueryExecuterFactory, XalanXPathQueryExecuterFactory, XlsQueryExecuterFactory

  Deprecated.
  Replaced by `QueryExecuterFactory`.

      public interface JRQueryExecuterFactory

  Factory classes used to create query executers.

  For each query language, a query executer factory must be created and registered as a JR property.

  Query executer factory instances must be thread-safe as they are cached and used as singletons.
  Version:
    $Id: JRQueryExecuterFactory.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `JRQueryExecuter`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `QUERY_EXECUTER_FACTORY_PREFIX` Deprecated. Replaced by `QueryExecuterFactory.QUERY_EXECUTER_FACTORY_PREFIX`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRQueryExecuter` | `createQueryExecuter(JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parameters)` Deprecated. Replaced by `QueryExecuterFactory.createQueryExecuter(net.sf.jasperreports.engine.JasperReportsContext, JRDataset, Map)`.
    `java.lang.Object[]` | `getBuiltinParameters()` Deprecated. Returns the built-in parameters associated with this query type.
    `boolean` | `supportsQueryParameterType(java.lang.String className)` Deprecated. Decides whether the query executers created by this factory support a query parameter type.

- - ### Field Detail

    - #### QUERY_EXECUTER_FACTORY_PREFIX

          static final java.lang.String QUERY_EXECUTER_FACTORY_PREFIX

      Deprecated. Replaced by `QueryExecuterFactory.QUERY_EXECUTER_FACTORY_PREFIX`.
      Prefix for query executer factory properties.

      To obtain query executer factories, a property having the query language appended to this prefix is used to get the query executer factory name.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getBuiltinParameters

          java.lang.Object[] getBuiltinParameters()

      Deprecated.
      Returns the built-in parameters associated with this query type.

      These parameters will be created as system-defined parameters for each report/dataset having a query of this type.

      The returned array should contain consecutive pairs of parameter names and parameter classes (e.g. `{"Param1", String.class, "Param2", "List.class"}`).
      Returns:
        array of built-in parameter names and types associated with this query type

    - #### createQueryExecuter

          JRQueryExecuter createQueryExecuter(JRDataset dataset,
                                            java.util.Map<java.lang.String,? extends JRValueParameter> parameters)
                                              throws JRException

      Deprecated. Replaced by `QueryExecuterFactory.createQueryExecuter(net.sf.jasperreports.engine.JasperReportsContext, JRDataset, Map)`.
      Creates a query executer.

      This method is called at fill time for reports/datasets having a query supported by this factory.
      Parameters:
        `dataset` - the dataset containing the query, fields, etc
        `parameters` - map of value parameters (instances of `JRValueParameter`) indexed by name
      Returns:
        a query executer
      Throws:
        `JRException`

    - #### supportsQueryParameterType

          boolean supportsQueryParameterType(java.lang.String className)

      Deprecated.
      Decides whether the query executers created by this factory support a query parameter type.

      This check is performed for all $P{..} parameters in the query.
      Parameters:
        `className` - the value class name of the parameter
      Returns:
        whether the parameter value type is supported

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com